Skip to main content
PUT
Update Webhook

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-partner-id
string
default:""
required

The Partner ID header used for authorization

idempotency-key
string
default:""
required

The Idempotency Key - usually a UUID

Path Parameters

webhook_id
string
required

The unique identifier for the webhook

Example:

"whk_cjf0qivsemvkg2on8f9g"

Body

application/json

Request to update an existing webhook

enabled
boolean
required

Whether the webhook is enabled

Example:

true

endpoint
string
required

Endpoint URL of the webhook

Example:

"https://example.com/webhook"

name
string
required

Name of the webhook

Example:

"Payment Webhook"

description
string

Description of the webhook

Example:

"Payment notifications"

add_events
object[]

List of events the webhook subscribes to

remove_events
object[]

List of events the webhook subscribes to

secret
string

Secret for webhook signature verification

Example:

"ASDLKJASDFLKJ121232342"

Response

Successful retrieval of a webhook subscription

Standard response structure for successful operations

ok
boolean

Indicates if the operation was successful

Example:

true

data
object

Webhook information